Subject: Re: bug#16116: 24.3.50; smie-indent-close aligns inner closing paren with the outer opening paren

From: Dmitry Gutov <[email-masked]>
Date: Sat, 14 Dec 2013 17:04:47 +0200

Stefan Monnier <[email-masked]> writes:

> No need to convince anyone here.  I was just pointing out that what is
> right will depend

Sorry, I didn't get that.

> so the right fix is to let the rules-function
> control it, rather than to replace one hard-coded choice with another.

That won't work. ruby-smie-rules is never called because
smie-indent-close doesn't use smie-indent--rule, and it goes before the
functions that do in smie-indent-functions. Unless you're suggesting to
change either of those points.

I thought rather to add a defvar to switch between the two behaviors in
smie-indent-close, or make smie-indent-functions buffer-local and
replace smie-indent-close there with a modified implementation.

Still inclined toward the latter.